﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;
using System.Windows.Forms;

namespace pr279_1
{
    // Класс для окна с полем ввода: 
    class MyInputBox: Form {
        // Внутренний закрытый класс для окна с изображением: 
        private class MyForm: Form {
            // Закрытое поле внутреннего класса (массив с 
            // названиями животных):
            private string[] animals = {"Волк", "Лиса", "Медведь", "Енот"};
            // Закрытое поле внутреннего класса (массив с 
            // названиями файлов с изображениями животных):
            private string[] files = {"wolf.jpg", "fox.jpg", "bear.jpg", "raccoon.jpg"};
            // Закрытое поле внутреннего класса (путь к каталогу
            // с файлами изображений):
            private string path = "";
            // Конструктор внутреннего класса: 
            public MyForm(string t, bool state): base() {
                // Название животного и название файла,
                // используемые по умолчанию: 
                string txt = "Жиpaф", file = "giraffe.jpg";
                // Перебор элементов массива с названиями 
                // животных:
                for(int k = 0; k < animals.Length; k++) {
                    // Сравнение текстовых значений
                    if ( (t==animals[k]) || ((t.ToLower()==animals[k].ToLower()) & state) ) {
                        // Название животного: 
                        txt = animals[k];
                        // Файл с изображением животного: 
                        file = files[k];
                        // Завершение выполнения оператора цикла: 
                        break;
                    }
                }
                // Заголовок для окна: 
                this.Text = txt;
                // Шрифт для окна:
                this.Font = new Font("Courier New", 12, FontStyle.Bold);
                // Окно постоянных размеров: 
                this.FormBorderStyle = FormBorderStyle.Fixed3D;
                // Окно нельзя развернуть на весь экран: 
                this.MaximizeBox = false;
                // Объект изображения:
                Image img = Image.FromFile(path + file);
                // Высота изображения:
                int h = img.Height;
                // Ширина изображения: 
                int w = img.Width;
                // Объект метки:
                Label lbl = new Label();
                // Изображение для метки: 
                lbl.Image = img;
                // Положение и размеры метки: 
                lbl.SetBounds(10, 10, w + 4, h + 4);
                // Рамка для метки:
                lbl.BorderStyle = BorderStyle.FixedSingle;
                // Объект кнопки:
                Button btn = new Button();
                // Название кнопки: 
                btn.Text = "OK";
                // Положение и размеры кнопки: 
                btn.SetBounds(w / 4 + 10, lbl.Bottom + 5, w / 2, 30);
                // Обработчик для события, связанного со щелчком
                // по кнопке:
                btn.Click += (x, y) => {
                    Application.Exit();
                };
                // Размеры окна:
                this.Size = new Size(w + 40, btn.Bottom + 50);
                // Начальное положение окна: 
                this.StartPosition = FormStartPosition.CenterScreen; 
                // Добавление метки в окно: 
                this.Controls.Add(lbl);
                // Добавление кнопки в окно: 
                this.Controls.Add(btn);
            }
        }
        // Закрытое поле внешнего класса (ссылка на опцию): 
        private CheckBox option;
        // Закрытое поле внешнего класса (ссылка на кнопку): 
        private Button ok;
        // Закрытое поле внешнего класса (ссылка на кнопку): 
        private Button cancel;
        // Закрытое поле внешнего класса (ссылка на поле): 
        private TextBox tb;
        // Конструктор внешнего класса: 
        public MyInputBox(): base() {
            // Размеры окна: 
            this.Size = new Size(250, 190);
            // Положение окна:
            this.StartPosition = FormStartPosition.CenterScreen;
            // Заголовок окна: 
            this.Text = "Название животного";
            // Окно постоянных размеров: 
            this.FormBorderStyle = FormBorderStyle.FixedDialog;
            // Окно нельзя развернуть на весь экран: 
            this.MaximizeBox = false; 
            // Шрифт для окна:
            this.Font = new Font("Times New Roman", 13, FontStyle.Regular); 
            // Объект метки:
            Label lbl = new Label();
            // Текст для метки:
            lbl.Text = "Какое животное показать?";
            // Высота и ширина метки:
            lbl.Height = 30;
            lbl.Width = this.Width - 30;
            // Координаты метки:
            lbl.Left = 10;
            lbl.Top = 10;
            // Добавление метки в окно: 
            this.Controls.Add(lbl);
            // Объект текстового поля: 
            tb = new TextBox();
            // Ширина поля: 
            tb.Width = this.Width - 30;
            // Координаты поля: 
            tb.Left = lbl.Left; 
            tb.Top = lbl.Bottom + 5;
            // Добавление поля в окно: 
            this.Controls.Add(tb);
            // Объект опции: 
            option = new CheckBox();
             // Подпись для опции: 
            option.Text ="He учитывать регистр"; 
            // Координаты опции: 
            option.Left = tb.Left; 
            option.Top = tb.Bottom + 5;
            // Размеры опции: 
            option.Height = 30; 
            option.Width = tb.Width;
            // Состояние опции (по умолчанию - установлена)
            option.Checked = true;
            // Добавление опции в окно: 
            this.Controls.Add(option);
            // Объект кнопки: 
            ok = new Button();
            // Текст для кнопки: 
            ok.Text = "OK";
            // Размеры кнопки:
            ok.Width = this.Width / 2 - 20;
            ok.Height = 30; 
            // Координаты кнопки:
            ok.Left = tb.Left;
            ok.Top = option.Bottom + 5;
            // Обработчик для события, связанного со щелчком
            // по кнопке:
            ok.Click += OnBtnsClick;
            // Объект кнопки: 
            cancel = new Button();
            // Текст для кнопки: 
            cancel.Text = "Отмена";
            // Размеры кнопки: 
            cancel.Size = ok.Size;
            // Координаты кнопки:
            cancel.Top = ok.Top;
            cancel.Left = tb.Right - cancel.Width;
            // Обработчик для события, связанного со щелчком 
            // по кнопке:
            cancel.Click += OnBtnsClick;
            // Добавление кнопок в окно:
            this.Controls.Add(ok);
            this.Controls.Add(cancel);
        }
        // Открытый метод (внешнего класса) для отображения
        // окна с полем ввода:
        public static void ShowInputBox() {
            // Создание и отображение окна:
            Application.Run(new MyInputBox());
        }
        // Закрытый метод (внешнего класса), используемый для 
        // обработки событий, связанных со щелчками по кнопкам: 
        private void OnBtnsClick(object obj, EventArgs ea) {
            // Ссылка на объект кнопки, вызвавшей событие:
            Button btn = (Button)obj;
            // Идентификация кнопки: 
            if(btn == ok) { 
                // Если первая кнопка 
                // Окно убирается с экрана: 
                this.Visible = false;
                // Создается и отображается окно с изображением: 
                new MyForm(tb.Text, option.Checked).ShowDialog(); 
            } else { 
                // Если вторая кнопка 
                // Завершение работы программы: 
                Application.Exit();
            }
        }
    }

    // Главный класс:
    class Program
    {
        [STAThread]
        // Главный метод: 
        static void Main()
        {
            // Отображение окна с полем ввода: 
            MyInputBox.ShowInputBox();
        }
    }
}
